# Note that this is NOT a relocatable package
%define ver      2.0beta4
%define rel      3mdk
%define prefix   /usr

Summary: The GNOME Display Manager.
Name: gdm
Version: %ver
Release: %rel
Copyright: LGPL/GPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.socsci.auc.dk/pub/empl/mkp/gdm-%{PACKAGE_VERSION}.tar.bz2
Source2: Default.session
Source5: Failsafe.session
Source10: gdm-manual.txt.bz2
Source11: helix-gdm-screen.png
Source12: gdm.conf
# FIXME: remove dead patches once we are sure they are really dead.  :-)
#Patch0: gdm-2.0beta2-rhconf.patch.bz2
# msw says not needed.  :-)
Patch1: gdm-2.0beta1-installdirs.patch.bz2
# /etc/X11/gdm/gnomerc is missing...
Patch3: gdm-gnomerc.patch.bz2
# Patch4 not currently applied, but kept around for potential later use
Patch4: gdm-1.0.0-rhgreeter.patch.bz2
#Patch7: gdm-2.0beta1-nosound.patch.bz2
# Patch8 not currently applied; make sure that tab completion isn't there
Patch8: gdm-1.0.0-notabcmpltion.patch.bz2
# Patch9 should now be unnecessary
Patch9: gdm-1.0.0-signal.patch.bz2
Patch10: gdm-2.0beta1-sessions.patch.bz2
# Patch11 should now be unnecessary
Patch11: gdm-1.0.0-nosuspend.patch.bz2
# Patch12 does not seem to be necessary
Patch12: gdm-1.0.0-dontblastlogo.patch.bz2
# We probably need this, but I don't know how to apply it right now...
Patch13: gdm-1.0.0-fixlangs2.patch.bz2
# Probably unnecessary
Patch14: gdm-1.0.0-noclosedspy.patch.bz2
# depends on fixlangs2
Patch15: gdm-1.0.0-norwegian.patch.bz2
# photo stuff is gone now?
Patch16: gdm-1.0.0-photofix.patch.bz2

#Patch20: gdm-2.0beta2-sopfixes.patch.bz2
#Patch21: gdm-2.0beta2-daemonfixes.patch.bz2
#Patch22: gdm-2.0beta2-sop2.patch.bz2
#Patch23: gdm-2.0beta2-xdmcp.patch.bz2
#Patch24: gdm-2.0beta2-dblclick.patch.bz2
# 25 is RH-specific
#Patch25: gdm-2.0beta2-rhconf2.patch.bz2
#Patch26: gdm-2.0beta2-norootcheck.patch.bz2
Patch27: gdm-2.0beta2-dumberrmsg.patch.bz2
#Patch28: gdm-2.0beta2-fixlang.patch.bz2
# 29 is RH-specific
Patch29: gdm-2.0beta2-noiconify.patch.bz2
#Patch 30 is RH-specific
#Patch30: gdm-2.0beta2-fixsesslang.patch.bz2

#Patch31: gdm-2.0beta2-loginhang.patch.bz2
#Patch32: gdm-2.0beta2-nogdmconfig.patch.bz2
#Patch33: gdm-2.0beta2-pipewrite.patch.bz2

#Patch50: gdm-mdkconf.patch.bz2

#Patch51: gdm-remove-language-choice.patch.bz2
#Patch52: gdm-logo.patch.bz2
Patch53: gdm-color.patch.bz2
Patch54: gdm-exclude.patch.bz2

BuildRoot: /var/tmp/gdm-%{PACKAGE_VERSION}-root

Prereq: /usr/sbin/useradd
Requires: pam >= 0.68
Requires: gnome-libs >= 1.0.17 mandrake_desk >= 1.0.1

Docdir: %{prefix}/doc

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%prep
%setup -q
#%patch0 -p1 -b .rhconf
#%patch1 -p1 -b .installdirs
%patch3 -p1 -b .gnomerc
#%patch4 -p1 -b .rhgreeter
# don't know if this is necessary, as gdm.conf adds --disable-sound
#%patch7 -p1 -b .nosound
#%patch8 -p1 -b .notabcmpltion
#%patch9 -p1 -b .signal
%patch10 -p1 -b .sessions
#%patch11 -p1 -b .nosuspend
#%patch12 -p1 -b .dontblastlogo
#%patch13 -p1 -b .fixlangs
#%patch14 -p1 -b .noclosedspl
#%patch15 -p1 -b .norwegian
#%patch16 -p1 -b .photofix

#%patch20 -p1 -b .sopgui
#%patch21 -p1 -b .sopdaemon
#%patch22 -p1 -b .soproot
#%patch23 -p1 -b .xdmcp
#%patch24 -p1 -b .dblclick
#%patch25 -p1 -b .rhconf2
#%patch26 -p1 -b .norootcheck
%patch27 -p1 -b .dumberrmsg
#%patch28 -p1 -b .fixlang
%patch29 -p1 -b .noiconify
#%patch30 -p1 -b .fixsesslang
#%patch31 -p1 -b .loginhang
#%patch32 -p1 -b .nogdmconfig
#%patch33 -p1 -b .pipewrite

#%patch50 -p0 -b .mdkconf
#%patch51 -p1 -b .removelang
#%patch52 -p1 -b .rlogo
%patch53 -p1 -b .rcolor
%patch54 -p1 -b .exclude

# So it doesn't get automatically rebuilt
touch -t '199001010000' configure.in

%build

libtoolize --force

CFLAGS="-g $RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc/X11 --localstatedir=/var

if [ x"$SMP" != x"" ];then
	(make MAKE="make -j $SMP -k" ; exit 0)
	make
else
	make
fi

(cd config; make gdm.conf gnomerc Gnome)

%install
rm -rf $RPM_BUILD_ROOT

/usr/sbin/useradd -r gdm > /dev/null 2>&1 || /bin/true

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc/X11 localstatedir=$RPM_BUILD_ROOT/var install
# docs go elsewhere
rm -rf $RPM_BUILD_ROOT/%{prefix}/doc

# install RH specific session files
rm -f $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/*

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/Default
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/Failsafe
ln -sf Default $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/default

# put gnomerc in the right place
install -m 644 config/gnomerc $RPM_BUILD_ROOT/etc/X11/gdm/gnomerc

# change default Init script to be Red Hat default
#ln -sf ../../xdm/Xsetup_0 $RPM_BUILD_ROOT/etc/X11/gdm/Init/Default

# move pam.d stuff to right place
mv $RPM_BUILD_ROOT/etc/X11/pam.d $RPM_BUILD_ROOT/etc

[ -f docs/gdm-manual.txt ] || cp -f %SOURCE10 docs/gdm-manual.txt

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps/
install -m644 %{SOURCE11} $RPM_BUILD_ROOT%{prefix}/share/pixmaps/helix-gdm-screen.png

install -p %{SOURCE12} $RPM_BUILD_ROOT/etc/X11/gdm/gdm.conf

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
# ignore errors, as we can't disambiguate between gdm already existed
# and couldn't create account with the current adduser.
(/usr/sbin/useradd -u 42 -r gdm > /dev/null 2>&1 ; exit 0)

%post
if [ -f /etc/X11/xdm/Xsession -a ! -x /etc/X11/xdm/Xsession ]; then
	chmod +x /etc/X11/xdm/Xsession
fi
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README docs/gdm-manual.txt docs/C/gdm.sgml
%{prefix}/bin/*
%config /etc/pam.d/gdm
%config /etc/X11/gdm/gnomerc
%config /etc/X11/gdm/gdm.conf
%config /etc/X11/gdm/locale.alias
%config /etc/X11/gdm/Sessions/*
%config /etc/X11/gdm/Init/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%attr(750, gdm, gdm) %dir /var/gdm

%changelog
* Wed May 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-3mdk
- corrected exclude list

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 2.0beta4-2mdk
- Changed again background color.

* Fri Apr 21 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta4-1mdk
- release 2.0beta4
- add some nice users and mandrake logo! looks great !
- remove unnecessary patches.

* Sat Apr 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta2-11mdk
- fixed gdmlogin bug .
- merge with helix stuffs .
- add /sbin/ldconfig in post to load shared libraries

* Tue Apr 04 2000 dam's <damin@mandrakesoft.com> 2.0beta2-10mdk
- fixed logo & background locations.

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.0beta2-9mdk
- spec-helper issues cleanup
- fixed group

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- remove the Language menu (doesn't work and made gnome fail to load the right font)

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Require mandrake_desk and put a new image at startup.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a post to make sure Xsession is executable.

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add docs (r)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt for Linux-Mandrake from Redhat spec (13):
	- SMP building
	- bzip2 man/info (don't think it has any (yet)) 

* Fri Sep 26 1999 Elliot Lee <sopwith@redhat.com>
- Fixed pipewrite bug (found by mkj & ewt).
